Raritan / Server Technology Xerus™ PDU JSON-RPC API: pdumodel::Pole Struct Reference

Raritan / Server Technology Xerus™ PDU JSON-RPC API

Public Attributes | List of all members
pdumodel::Pole Struct Reference

An inlet or outlet pole. More...

`import"Pole.idl";`

## Public Attributes
string | label
| Pole label
PowerLine | line
| Power line.
int | nodeId
| Circuit node id.
sensors::NumericSensor | voltage
| RMS voltage sensor, L-L, may be a VoltageMonitoringSensor.
sensors::NumericSensor | voltageLN
| RMS voltage sensor, L-N (Wye) or L-PE (Delta), may be a VoltageMonitoringSensor.
sensors::NumericSensor | current
| RMS current sensor.
sensors::NumericSensor | peakCurrent
| Peak current sensor.
sensors::NumericSensor | activePower
| Active power sensor.
sensors::NumericSensor | reactivePower
| Reactive power sensor.
sensors::NumericSensor | apparentPower
| Apparent power sensor.
sensors::NumericSensor | powerFactor
| Power factor sensor.
sensors::NumericSensor | phaseAngle
| Phase angle sensor.
sensors::NumericSensor | displacementPowerFactor
| Displacement power factor sensor.
sensors::NumericSensor | activeEnergy
| Active energy sensor.
sensors::NumericSensor | apparentEnergy
| Apparent energy sensor.
sensors::NumericSensor | residualCurrent
| Residual current sensor.
sensors::NumericSensor | residualACCurrent
| AC Residual current sensor. More...
sensors::NumericSensor | residualDCCurrent
| DC Residual current sensor. More...
sensors::NumericSensor | crestFactor
| Crest factor sensor.
sensors::NumericSensor | voltageThd
| Voltage total harmonic distortion sensor.
sensors::NumericSensor | currentThd
| Current total harmonic distortion sensor.
ResidualCurrentStateSensor | residualCurrentStatus
| Residual current monitor state sensor.

## Detailed Description

An inlet or outlet pole.

## Member Data Documentation

## ◆ residualACCurrent

sensors::NumericSensor pdumodel::Pole::residualACCurrent

AC Residual current sensor.

(AC portion of residual operating current)

## ◆ residualDCCurrent

sensors::NumericSensor pdumodel::Pole::residualDCCurrent

DC Residual current sensor.

(DC portion of residual operating current)

The documentation for this struct was generated from the following file:

- Pole.idl